edu.msu.cme.rdp.classifier.train.validation.distance

## Class BoxPlotUtils

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.distance.BoxPlotUtils

    public class BoxPlotUtils
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`BoxPlotUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `createBoxplot(org.jfree.data.statistics.DefaultBoxAndWhiskerCategoryDataset scatterDataset, java.io.PrintStream outStream, java.lang.String title, java.lang.String xAxisLabel, java.lang.String yAxisLabel, java.awt.Font lableFont)`
`static void` `main(java.lang.String[] args)`
`static void` `readData(java.lang.String inFile, java.io.File outdir, java.lang.String xAxisLabel, java.lang.String yAxisLabel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BoxPlotUtils

    public BoxPlotUtils()

### Method Detail

#### readData

    public static void readData(java.lang.String inFile,
                                java.io.File outdir,
                                java.lang.String xAxisLabel,
                                java.lang.String yAxisLabel)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### createBoxplot

    public static void createBoxplot(org.jfree.data.statistics.DefaultBoxAndWhiskerCategoryDataset scatterDataset,
                                     java.io.PrintStream outStream,
                                     java.lang.String title,
                                     java.lang.String xAxisLabel,
                                     java.lang.String yAxisLabel,
                                     java.awt.Font lableFont)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

Throws:
  `java.io.IOException`